{ pkgs ? import <nixpkgs> {} }:
pkgs.mkShell {
  inputsFrom = [ (pkgs.callPackage ./default.nix { }) ];
  
  buildInputs = with pkgs; [
    rust-analyzer
    rustfmt
    clippy
  ];

  packages = with pkgs; [
    bacon
  ];

  shellHook = ''
  '';

  PKG_CONFIG_PATH = "${pkgs.openssl.dev}/lib/pkgconfig";
}
